Module org.firebirdsql.jaybird
Package org.firebirdsql.ds

# Class RootCommonDataSource

java.lang.Object
org.firebirdsql.ds.RootCommonDataSource

All Implemented Interfaces:
  `CommonDataSource`

Direct Known Subclasses:
  `AbstractConnectionPropertiesDataSource`, `FBDataSource`

public abstract class RootCommonDataSource extends Object implements CommonDataSource
Root superclass for the datasources in Firebird.

Since:
  2.2
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`RootCommonDataSource()`

## Method Summary

Modifier and Type
Method
Description
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`void`
`setLogWriter(PrintWriter out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getLoginTimeout, setLoginTimeout`

## Constructor Details

### RootCommonDataSource

public RootCommonDataSource()

## Method Details

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Throws:
  `SQLException`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`